Create or update a mapping

Prev Next
Put
/v1/SyncRegistry/{systemName}

Creates a mapping in the SRS database or updates an existing mapping.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
systemName
stringRequired

System name of the mapping whose metadata you want to get.

ExampleAccountToCustomer
Body parameters
Create or update a mapping

Example of mapping details

{
  "mappingId": "123456789",
  "systemName": "Your_mapping_name",
  "description": "Mapping description",
  "direction": "UPLOAD_TO_FORCE",
  "restEntityName": "Your_Entity",
  "restIdField": "Field_id",
  "crmObjectName": "Account",
  "crmDataSourceId": "987654321",
  "restDataSourceId": "456789012",
  "fields": [
    {
      "mappingFieldId": "1",
      "systemName": "Your_field_1",
      "restField": "Your_rest_field_1",
      "crmField": "Your_crm_field_1"
    },
    {
      "mappingFieldId": "2",
      "systemName": "Your_field_2",
      "restField": "Your_rest_field_2",
      "crmField": "Your_crm_field_2"
    }
  ],
  "filters": [
    {
      "filterName": "filter1",
      "filterExpression": "filter_expression_1"
    },
    {
      "filterName": "filter2",
      "filterExpression": "filter_expression_2"
    }
  ]
}
Expand All
object
mappingId
string

Unique mapping ID. Provide a meaningful ID when creating; use the existing ID when updating.

Example123456789
systemName
string

Unique mapping system name. Must match the systemName path parameter. Provide a meaningful name when creating; use the existing name when updating.

ExampleMapping_name
description
string

User-friendly description of the mapping.

ExampleMapping description
direction
string

Specifies which database to update.

Supported values:

  • DOWNLOAD_FROM_FORCE—Add data from your CRM object to the Zilliant entity.
  • UPLOAD_TO_FORCE—Add data from your Zilliant entity to the CRM object.
Valid values[ "DOWNLOAD_FROM_FORCE", "UPLOAD_TO_FORCE" ]
ExampleUPLOAD_TO_FORCE
restEntityName
string

Name of the Zilliant entity to which you're mapping the CRM object.

ExampleYour_Entity
restIdField
string

Business key in the Zilliant entity to which you're mapping the CRM object.

ExampleField_id
crmObjectName
string

Name of the CRM object you're mapping to the Zilliant entity.

ExampleAccount
crmDataSourceId
string

ID of the data source created for the CRM object.

Example987654321
restDataSourceId
string

ID of the data source created for the Zilliant entity.

Example456789012
fields
Array of object

Field mappings between the Zilliant entity and the CRM object.

Min items1
object
mappingFieldId
string

Unique field mapping ID. Provide a meaningful ID when creating; use the existing ID when updating.

Example1
systemName
string

Unique system name of the field mapping. Provide a meaningful name when creating; use the existing name when updating.

ExampleYour_field_1
restField
string

ID of the Zilliant entity field mapped to the crmField.

ExampleYour_rest_field_1
crmField
string

Name of the CRM field to which you are mapping the restField.

ExampleYour_crm_field_1
filters
Array of object | null

Limits the data synchronized between the CRM object and the Zilliant entity.

object
filterName
string

Unique filter name. Provide a meaningful name when creating; use the existing name when updating.

Examplefilter1
filterExpression
string

Filter expression in the format fieldSystemName operator fieldValue.

Supported operators:

  • eq—Equal
  • ne—Not equal
  • lt—Less than
  • le—Less than or equal
  • gt—Greater than
  • ge—Greater than or equal
  • and—Logical AND
  • or—Logical OR
ExampleStageName eq 'Closed Won'
Responses
204

Mapping created or updated successfully.

400

Bad request, for example, path systemName does not match body systemName.